Package org.apache.uima.json

# Enum Class JsonCasSerializer.JsonContextFormat

java.lang.Object
java.lang.Enum<JsonCasSerializer.JsonContextFormat>
org.apache.uima.json.JsonCasSerializer.JsonContextFormat

All Implemented Interfaces:
  `Serializable`, `Comparable<JsonCasSerializer.JsonContextFormat>`, `Constable`

Enclosing class:
  JsonCasSerializer

public static enum JsonCasSerializer.JsonContextFormat extends Enum<JsonCasSerializer.JsonContextFormat>

The serialization can optionally include context information in addition to the feature structures.

This context information is specified, per used-type.

It can be further subdivided into 3 parts:

1. What their (used) subtypes are. This enables iterating over a type and all of its subtypes, e.g. an iterator over all "Annotations".
2. whether or not to include the map from short type names to their fully qualified equivalents.
3. Information to enable deserialization of some ambiguous values, depending on the range type of a feature

Some of these may be omitted, if not wanted. This enum allows specifying what to omit.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `omitContext`
  `omitExpandedTypeNames`
  `omitSubtypes`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static JsonCasSerializer.JsonContextFormat`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static JsonCasSerializer.JsonContextFormat[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### omitContext

    public static final JsonCasSerializer.JsonContextFormat omitContext

  - ### omitSubtypes

    public static final JsonCasSerializer.JsonContextFormat omitSubtypes

  - ### omitExpandedTypeNames

    public static final JsonCasSerializer.JsonContextFormat omitExpandedTypeNames

- ## Method Details

  - ### values

    public static JsonCasSerializer.JsonContextFormat[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static JsonCasSerializer.JsonContextFormat valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null